<template>
    <b-card no-body>
        <b-tabs v-model="tabIndex" vertical nav-wrapper-class="col-2 p-0" no-nav-style>
            <Project v-for="(project, index) in $options.projectsData" :key="index" :Data="project" />
        </b-tabs>
    </b-card>
</template>

<script>
import ProjectsData from '../projects.json';
import Project from './Project.vue';

export default {
    projectsData: ProjectsData,
    components: {
        Project
    },
    data () {
        return {
            tabIndex: 0
        }
    },
    mounted () {
        this.$nextTick(() => {
            this.tabIndex = 0;
        });
    }
};
</script>

<style scoped>
    .card {
        border: 0px;
    }
</style>